<?php
/*
Officity - Web application platform - Version 6.0 - 2011-07-05

François Dispaux, Boris Verdeyen, Thomas Hermant,
Jérémie Roy, Grégory Meurice, Abdelila Harbi, 
Marc Mignonsin, Jonathan Sanchez, Julien Gonzalez, Pierre Fouchez

Sushee and Officity is © Copyright 2011 Nectil SA.

`/sushee-source/sushee/private/bkg.php` is part of Officity.

Sushee is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Officity and Sushee are distributed in the hope that they will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Sushee. If not, see <http://www.gnu.org/licenses/>.
*/
require_once(dirname(__FILE__)."/../common/common_functions.inc.php");
require_once(dirname(__FILE__)."/../private/mailing_functions.inc.php");

if($_GET['viewing_code'] && strlen($_GET['viewing_code'])>32){
	$_GET['viewing_code'] = substr($_GET['viewing_code'],0,32);
	
	$db_conn = db_connect();
	// a firstr try on our backoffice
	$moduleInfo = moduleInfo('mailing',NULL);
	if ( $_GET['in_mailbox']!=='false' ){
		//$row = getInfo($moduleInfo,$_GET["ID"]);
		if ($_GET["ID"] && is_numeric($_GET["ID"])){
			setMailingRecipientHTMLInMailbox($_GET["ID"],$_GET['viewing_code']);
			//updateMailingCounts($_GET["ID"]);
			$base_sql = 'SELECT COUNT(`ContactID`) AS total FROM `mailing_recipients` WHERE MailingID=\''.$_GET["ID"].'\' ';
			$sql = $base_sql.'AND HTMLInMailbox=1;';
			$row = $db_conn->GetRow($sql);
			if($row){
				$NbrHTMLInMailbox=$row['total'];
				$update_sql = 'UPDATE mailings SET NbrHTMLInMailbox=\''.$NbrHTMLInMailbox.'\' WHERE ID=\''.$_GET["ID"].'\';';
				$db_conn->Execute($update_sql);
			}
		}
	}
}
// outputting a gif image
header("Content-type: image/gif");
$fn=fopen("./bkg.gif","r");
fpassthru($fn);
?>
